# _SceKernelSystemStatus Struct Reference
[Thread Manager Library]

`#include <sdk/user/pspthreadman.h>`

Collaboration diagram for _SceKernelSystemStatus:

[legend]

## Detailed Description

Structure to contain the system status returned by sceKernelReferSystemStatus.

## Data Fields

SceSize | size
| Size of the structure (should be set prior to the call).
SceUInt | status
| The status ?
SceKernelSysClock | idleClocks
| The number of cpu clocks in the idle thread.
SceUInt | comesOutOfIdleCount
| Number of times we resumed from idle.
SceUInt | threadSwitchCount
| Number of thread context switches.
SceUInt | vfpuSwitchCount
| Number of vfpu switches ?

## Field Documentation

SceUInt _SceKernelSystemStatus::comesOutOfIdleCount

| Number of times we resumed from idle.

SceKernelSysClock _SceKernelSystemStatus::idleClocks

| The number of cpu clocks in the idle thread.

SceSize _SceKernelSystemStatus::size

| Size of the structure (should be set prior to the call).

SceUInt _SceKernelSystemStatus::status

| The status ?

SceUInt _SceKernelSystemStatus::threadSwitchCount

| Number of thread context switches.

SceUInt _SceKernelSystemStatus::vfpuSwitchCount

| Number of vfpu switches ?

The documentation for this struct was generated from the following file:

- sdk/user/pspthreadman.h